%define upstream_name    HTML-Template-Pro
%define upstream_version 0.9509

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Perl/XS module to use HTML Templates from CGI scripts
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: pcre-devel
%description
Original HTML::Template is written by Sam Tregar, sam@tregar.com with
contributions of many people mentioned there. Their efforts caused
HTML::Template to be mature html tempate engine which separate perl code
and html design. Yet powerful, HTML::Template is slow, especially if
mod_perl isn't available or in case of disk usage and memory limitations.

HTML::Template::Pro is a fast lightweight C/Perl+XS reimplementation of
HTML::Template (as of 2.8) and HTML::Template::Expr (as of 0.0.5). It is
not intended to be a complete replacement, but to be a fast implementation
of HTML::Template if you don't need quering, the extended facility of
HTML::Template. Designed for heavy upload, resource limitations, abcence of
mod_perl.

HTML::Template::Pro has complete support of filters and
HTML::Template::Expr's tag EXPR="<expression>", including user-defined
functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes FAQ LGPL META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorarch/HTML
%perl_vendorarch/auto/HTML


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.950.900-4.mga3
+ Revision: 368152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.950.900-3.mga3
+ Revision: 323832
- rebuild for new pcre

* Wed May 30 2012 jquelin <jquelin> 0.950.900-2.mga3
+ Revision: 250765
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.950.900-1.mga2
+ Revision: 218741
- update to 0.9509

* Wed Jan 04 2012 jquelin <jquelin> 0.950.800-1.mga2
+ Revision: 190310
- update to 0.9508

* Sat Dec 10 2011 kharec <kharec> 0.950.700-1.mga2
+ Revision: 180197
- update to 0.9507

* Thu Oct 13 2011 jquelin <jquelin> 0.950.600-1.mga2
+ Revision: 154319
- update to 0.9506

* Fri Jul 08 2011 jquelin <jquelin> 0.950.500-1.mga2
+ Revision: 120413
- update to 0.9505

* Sun Jun 12 2011 sander85 <sander85> 0.950.400-2.mga2
+ Revision: 104667
- Rebuild for perl 5.14

* Wed Feb 16 2011 jquelin <jquelin> 0.950.400-1.mga1
+ Revision: 52359
- update to 0.9504

* Fri Jan 21 2011 jquelin <jquelin> 0.950.300-1.mga1
+ Revision: 30504
- mageia rebuild
- imported package perl-HTML-Template-Pro

